@import url("../tokens.css");

.graduate-voice-page {

    .voice-top-inner {
        display: flex;
        gap: 30px;
        justify-content: center;
        align-items: center;
    }

    .content-voice-top {
        background-image: url("/img/recruit/graduate/voice/voice-page-top-back.png");
        background-repeat: no-repeat;
        background-position: top;
        background-size: 100%;
    }

    .person-info {
        display: flex;
        flex-direction: column;
        align-items: center;
        color: #39b54a;
        font-weight: bold;
    }

    .voice-icon {
        width: 200px;
        border: solid 4px #39b54a;
        border-radius: 100px;
        background-color: var(--c-bg);
        margin: 0 0 1rem;
        filter: drop-shadow(10px 10px 0px #f6f4e1);
    }

    .speech-bubble img {
        width: 600px;
    }



    /* speech-bubbles ============================== */

    .upper-row,
    .lower-row {
        display: flex;
        justify-content: space-between;
        text-align: left;
    }

    .speech-bubbles-icon {
        position: relative;
        min-height: 300px;
    }

    .speech-bubbles-icon img {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 40%;
        z-index: -1;
        border-radius: 50%;
    }

    .interview-voice-list__item {
        background-color: var(--c-bg);
        width: 45%;
        padding: 1.8rem;
        border-radius: 10px;
        border: solid 4px #39b54a;
    }

    .interview-voice-list__item {
        background: #fafaf0;
    }

    .interview-voice-list__item:nth-child(odd) {
        filter: drop-shadow(12px 14px #ebf7ed);
    }

    .interview-voice-list__item:nth-child(even) {
        filter: drop-shadow(12px 14px #fff6dc);
    }

    .text-q {
        color: #39b54a;
        font-size: large;
        letter-spacing: 0;
        font-weight: bold;
        line-height: 1.7;
        margin: 0 0 1rem;
    }

    .interview-voice-list__item::before {
        content: "";
        position: absolute;
        bottom: -40px;
        left: 50%;
        width: 40px;
        height: 40px;
        background: #39b54a;
        clip-path: polygon(0 0, 100% 0, 50% 100%);
    }

    .interview-voice-list__item::after {
        content: "";
        position: absolute;
        bottom: -32px;
        left: 50%;
        width: 40px;
        height: 40px;
        background: #fafaf0;
        clip-path: polygon(0 0, 100% 0, 50% 100%);
    }



    /* message ============================== */

    .message-area {
        position: relative;
        display: flex;
        justify-content: center;
        margin: 4rem 0 0;
    }

    .message-title {
        position: absolute;
        top: -20px;
        background-color: #39b54a;
        color: #ffffff;
        display: inline-block;
        font-weight: bold;
        font-size: x-large;
        padding: 10px 20px;
        border-radius: 10px;
    }

    .message-text {
        text-align: left;
        padding: 3.5rem 2rem 3rem;
        border: solid 4px #39b54a;
        border-radius: 10px;
        background: #fafaf0;
        margin-bottom: 4rem;
    }



    /* more-voice ============================== */

    .more-voice-area {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .more-voice-title {
        width: 380px;
        margin: 0 0 2rem;
    }

    .more-voice-text li {
        text-align: left;
        margin: 0 0 3rem;
    }

    .more-voice-text li:last-child {
        margin: 0;
    }

    .q-text-area {
        display: flex;
        align-items: flex-start;
        margin: 0px 1rem 0.5rem 1rem;
        gap: 1rem;
    }

    .q-text-icon,
    .a-text-icon {
        width: 30px;
    }

    .q-text {
        color: #39b54a;
        font-weight: bold;
        margin: 0 0 0 1rem;
        position: relative;
        margin: 0 0 0.5rem;
    }

    .a-text-area {
        display: flex;
        align-items: flex-start;
        margin: 0px 1rem 0.5rem 0;
        gap: 1rem;
    }

    .a-text {
        padding: 1rem;
        border: solid 2px #39b54a;
        border-radius: 10px;
        background: #fafaf0;
    }


    /* schedule ============================== */
    .content-schedule {
        background-color: var(--c-footer);
        position: relative;
    }

    .content-schedule-back-asset {
        position: absolute;
        top: 5%;
        right: 5%;
        width: 200px;
    }

    .schedule-area {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .schedule-title {
        width: 380px;
        margin: 0 0 2rem;
        filter: drop-shadow(10px 10px 0px #a9d7ea);
    }

    .schedule-text ul {
        column-count: 2;
        column-gap: 30px;
        background-color: #ffffff;
        padding: 40px;
        border: solid 4px var(--c-primary);
        border-radius: 10px;
        filter: drop-shadow(10px 10px 0px #a9d7ea);
    }

    .schedule-text li {
        display: flex;
        gap: 20px;
        align-items: flex-start;
        margin-bottom: 2rem;
    }

    .items-time {
        display: flex;
        align-items: center;
        gap: 20px;
    }

    .items-time .time,
    .items .item-title {
        color: var(--c-primary);
        font-size: 20px;
        font-weight: bold;
        min-width: 4rem;
        line-height: 150%;
    }

    .items-time .time,
    .items .item-title {
        text-align: right;
    }

    .items .item-title {
        text-align: left;
    }

    .schedule-text .icon {
        padding: 30px;
        border: solid 2px var(--c-primary);
        border-radius: 100px;
        background-color: var(--c-bg);
    }

    .schedule-text .img-icon {
        width: 40px;
        height: 40px;
        border: solid 2px var(--c-primary);
        border-radius: 100px;
        background-color: var(--c-bg);
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center;
    }

    .img-icon-train {
        background-image: url("/img/recruit/graduate/voice/schedule-icon-01-train.png");
    }

    .img-icon-lunch {
        background-image: url("/img/recruit/graduate/voice/schedule-icon-02-lunch.png");
    }

    .img-icon-leave {
        background-image: url("/img/recruit/graduate/voice/schedule-icon-03-leave.png");
    }

    .schedule-text ul li {
        position: relative;
    }

    .schedule-text ul li::before {
        content: "";
        background: var(--c-primary);
        width: 2px;
        height: 100%;
        position: absolute;
        top: 62px;
        left: 32px;
    }

    .schedule-text ul li:last-child::before {
        display: none;
    }

    .schedule-text li .items {
        text-align: left;
    }



    /* private-talk ============================== */

    .private-talk-card {
        display: flex;
        gap: 20px;
        align-items: center;
        justify-content: center;
        margin: 1rem 0 4rem;
        text-align: left;
    }

    .private-talk-card-img {
        width: 240px;
        border-radius: 10px;
        border: solid 4px var(--c-primary);
    }

    .private-talk-card .q-text {
        color: var(--c-primary);
        font-weight: bold;
        margin: 0 0 0 1rem;
        position: relative;
        margin: 0 0 0.5rem;
    }

    .private-talk-card .a-text {
        padding: 1rem;
        border: solid 2px var(--c-primary);
        border-radius: 10px;
        background: #fafaf0;
    }



    /* tablet
================================================*/
    @media screen and (max-width: 768px) {

        /* speech-bubbles ============================== */

        .interview-voice-list .upper-row,
        .interview-voice-list .lower-row {
            flex-direction: column;
            gap: 50px;
            margin-top: 50px;
        }

        .interview-voice-list__item {
            width: 90%;
        }

        .interview-voice-list__item::before {
            top: -40px;
            clip-path: polygon(50% 0, 100% 100%, 0 100%);
        }

        .interview-voice-list__item::after {
            content: "";
            position: absolute;
            left: 50%;
            width: 40px;
            height: 40px;
            top: -32px;
            clip-path: polygon(50% 0, 100% 100%, 0 100%);
        }


        .interview-voice-list .sp-column-reverse {
            display: flex;
            flex-direction: column-reverse;
            margin-bottom: 50px;
        }

        .speech-bubbles-icon {
            min-height: 280px;
        }

        .speech-bubbles-icon img {
            width: 240px;
            top: 50%;
        }

        .interview-voice-list__item:nth-child(even) {
            margin-left: 10%;
        }
    }




    /* SP
================================================*/

    @media screen and (max-width: 767px) {
        .voice-top-inner {
            flex-direction: column;
        }

        .sp-no-display {
            display: none;
        }



        /* message ============================== */
        .message-title {
            font-size: large;
            padding: 10px 10px;
        }



        /* more-voice ============================== */

        .more-voice-title {
            width: 100%;
            max-width: 380px;
        }



        /* schedule ============================== */

        .content-schedule-back-asset {
            position: absolute;
            top: 0px;
            left: 5px;
            width: 70px;
        }

        .schedule-title {
            width: 100%;
            max-width: 380px;
        }

        .items-time {
            gap: 10px;
        }

        .schedule-text {
            width: 100%;
        }

        .schedule-text ul {
            column-count: 1;
            padding: 16px;
            display: flex;
            flex-direction: column;
            align-items: center;
        }

        .schedule-text li {
            width: 100%;
            flex-direction: column;
            gap: 0;
        }

        .schedule-text li .items {
            margin-left: 90px;
        }

        .private-talk-card {
            flex-direction: column;
        }

    }
}
